# Class Mapper.MapElement<T>

java.lang.Object
org.apache.catalina.mapper.Mapper.MapElement<T>

Type Parameters:
  `T` - The type of the mapped object

Direct Known Subclasses:
  `Mapper.ContextVersion, Mapper.MappedContext, Mapper.MappedHost, Mapper.MappedWrapper`

Enclosing class:
  `Mapper`

protected abstract static class Mapper.MapElement<T> extends Object
Base class for mapped elements.

## Field Summary

Fields
Modifier and Type
Field
Description
`final String`
`name`
The name of the element.
`final T`
`object`
The mapped object.

## Constructor Summary

Constructors
Constructor
Description
`MapElement(String name, T object)`
Constructor.

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### name

public final String name
The name of the element.

### object

public final T object
The mapped object.

## Constructor Details

### MapElement

public MapElement(String name, T object)
Constructor.

Parameters:
  `name` - The name of the element
  `object` - The mapped object